Hashtable
Date: 2016-06-24

java.util

## Class Hashtable

- java.lang.Object
- - java.util.Dictionary
  - - java.util.Hashtable

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    Properties

      public class Hashtable
      extends Dictionary
      implements Serializable, Cloneable, Map

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hashtable()`
    `Hashtable(int var0)`
    `Hashtable(int var0, float var1)`
    `Hashtable(Map var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `Object` | `clone()`
    `boolean` | `contains(Object var0)`
    `boolean` | `containsKey(Object var0)`
    `boolean` | `containsValue(Object var0)`
    `Enumeration` | `elements()`
    `Set` | `entrySet()`
    `Object` | `get(Object var0)`
    `boolean` | `isEmpty()`
    `Enumeration` | `keys()`
    `Set` | `keySet()`
    `Object` | `put(Object var0, Object var1)`
    `void` | `putAll(Map var0)`
    `protected void` | `rehash()`
    `Object` | `remove(Object var0)`
    `int` | `size()`
    `Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Hashtable

          public Hashtable()

    - #### Hashtable

          public Hashtable(int var0)

    - #### Hashtable

          public Hashtable(int var0,
                   float var1)

    - #### Hashtable

          public Hashtable(Map var0)

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map`

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### contains

          public boolean contains(Object var0)

    - #### containsKey

          public boolean containsKey(Object var0)

      Specified by:
        `containsKey` in interface `Map`

    - #### containsValue

          public boolean containsValue(Object var0)

      Specified by:
        `containsValue` in interface `Map`

    - #### elements

          public Enumeration elements()

      Specified by:
        `elements` in class `Dictionary`

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`

    - #### get

          public Object get(Object var0)

      Specified by:
        `get` in interface `Map`
      Specified by:
        `get` in class `Dictionary`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`
      Specified by:
        `isEmpty` in class `Dictionary`

    - #### keySet

          public Set keySet()

      Specified by:
        `keySet` in interface `Map`

    - #### keys

          public Enumeration keys()

      Specified by:
        `keys` in class `Dictionary`

    - #### put

          public Object put(Object var0,
                   Object var1)

      Specified by:
        `put` in interface `Map`
      Specified by:
        `put` in class `Dictionary`

    - #### putAll

          public void putAll(Map var0)

      Specified by:
        `putAll` in interface `Map`

    - #### rehash

          protected void rehash()

    - #### remove

          public Object remove(Object var0)

      Specified by:
        `remove` in interface `Map`
      Specified by:
        `remove` in class `Dictionary`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`
      Specified by:
        `size` in class `Dictionary`

    - #### values

          public Collection values()

      Specified by:
        `values` in interface `Map`